slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPConvergedReason

Reason a nonlinear eigensolver was said to have converged or diverged

### Synopsis

    typedef enum {/* converged */
                  NEP_CONVERGED_TOL                =  1,
                  NEP_CONVERGED_USER               =  2,
                  /* diverged */
                  NEP_DIVERGED_ITS                 = -1,
                  NEP_DIVERGED_BREAKDOWN           = -2,
                        /* unused                  = -3 */
                  NEP_DIVERGED_LINEAR_SOLVE        = -4,
                  NEP_DIVERGED_SUBSPACE_EXHAUSTED  = -5,
                  NEP_CONVERGED_ITERATING          =  0} NEPConvergedReason;

### See Also

NEPSolve(), NEPGetConvergedReason(), NEPSetTolerances()

### Level

intermediate

### Location

include/slepcnep.h
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages